@import "src/theme/_flex";
@import "src/theme/_mixins";

// add-contacts css
.contacts-stepper {
  .mat-horizontal-stepper-header-container {
    display: none;
  }
  .mat-horizontal-stepper-content {
    //   min-height: 200px;
  }
  .mat-horizontal-content-container {
    padding: 0px;
    .step-1 {
      padding: 20px;
      min-height: 200px;
      .pi-form-field {
        margin-top: 0px;
      }
      .add-new {
        font-family: "SF-Pro-Text-Medium";
        color: #0052cc;
        font-size: 14px;
        cursor: pointer;
      }
    }
  }
}
.border-dialog {
  .mat-dialog-container {
    .mat-dialog-content {
      &.contacts-dialog {
        padding: 0px;
      }
    }
  }
}
.contacts-content {
  @include flexbox();
  flex: 1;
  width: 1100px;
  .add-contact-content {
    padding: 20px;
    flex: 1 1;
    border-right: 1px solid #dfe1e5;
    form {
      .form-field-array {
        @include flexbox();
        @include align-items(baseline);
        .form-field {
          .array-list {
            // pi-form-field {
            //   width: 85%;
            // }
            @include align-items(baseline);
            .fields-with-desc {
              width: 100%;
            }
          }
          .field-actions {
            @include flexbox();
            @include align-items(center);
            @include justify-content(space-between);
            width: 15%;
            padding-left: 10px;
            .pixel-icons {
              width: 14px;
              height: 14px;
              font-size: 14px;
              cursor: pointer;
              &.icon-plus {
                color: #0052cc;
              }
              &.icon-minus {
                color: #42526e;
                &.disable {
                  opacity: 0.6;
                  cursor: not-allowed;
                }
              }
            }
          }
        }
        &.active {
          align-items: baseline;
          .form-field {
            .array-list {
              padding-bottom: 16px;
              @include align-items(baseline);
              &:last-child {
                padding-bottom: 0px !important;
              }
            }
          }
        }
      }
    }
    .billing-form {
      .billing-form-details {
        padding-bottom: 11px;
        // &:last-child {
        //   padding-bottom: 0px;
        // }
        .plain-select-field {
          max-width: 160px;
          .pi-field {
            .pi-select-input {
              background-color: transparent;
              border-radius: none;
              border: none;
              font-family: "SF-Pro-Text-Medium";
              font-size: 14px;
              color: #172b4d;
              padding: 8px 32px 8px 0px;
              &.active {
                box-shadow: none;
              }
              &:hover {
                background: transparent;
                border: none;
              }
              &:focus {
                outline: none;
                box-shadow: none;
              }
              pi-icon {
                .pixel-icons {
                  color: #172b4d;
                }
                .selected-list {
                  .opt {
                    input {
                      cursor: pointer;
                    }
                  }
                }
              }
            }
          }
        }
        .multiple-fields {
          @include flexbox();
          @include justify-content(space-between);
          padding-top: 16px;
          .pi-form-field,
          .country-field {
            flex-basis: 24%;
            margin-top: 0px;
          }
        }
      }
      .pi-form-field {
        .pi-field {
          textarea {
            margin-top: 16px;
          }
        }
      }
    }
  }
  .contact-to-content {
    padding: 20px;
    flex: 1 1;
    .form-section {
      form {
        .form-section-list {
          @include flexbox();
          @include flex-direction(column-reverse);
          transition: linear 0.6s;
          .form-section-details {
            padding-bottom: 20px;
            margin-bottom: 20px;
            border-bottom: 2px solid #dfe1e5;
            max-height: 475px;
            transition: max-height 0.25s ease-in;
            .details-header {
              @include flexbox();
              @include align-items(center);
              @include justify-content(space-between);
              padding-bottom: 20px;
              h6 {
                margin: 0px;
              }
              .icon-close {
                width: 16px;
                height: 16px;
                font-size: 16px;
                color: #42526e;
                cursor: pointer;
              }
            }
            .single-field {
              padding-bottom: 14px;
            }
          }
        }
        .selection-content {
          display: flex;
          .empty-div {
            flex-basis: 25%;
          }
          .check-items {
            flex-basis: 75%;
          }
          .multiple-checkbox {
            @include flexbox();
            @include flex-wrap(wrap);
            margin-bottom: 10px;
            .pi-form-field {
              padding-right: 10px;
              &.checkbox {
                margin-top: 0px;
                .pi-field {
                  label {
                    font-family: "SF-Pro-Text-Regular";
                    font-size: 14px;
                    color: #172b4d;
                    text-align: left;
                  }
                }
              }
            }
          }
          .add-notes {
            font-family: "SF-Pro-Text-Regular";
            font-size: 14px;
            color: #69778e;
            text-align: left;
          }
        }
      }
    }
  }
}
// .divider {
//   border-right: 1px solid #dfe1e5;
//   margin: 0px 5px;
// }
.add-text-button {
  font-family: "SF-Pro-Text-Medium";
  font-size: 14px;
  color: #0052cc;
  letter-spacing: -0.12px;
  text-align: left;
  line-height: 38px;
}
// /field types//
.contact-form-fields {
  @include flexbox();
  @include align-items(baseline);
  padding-bottom: 16px;
  .form-label {
    flex-basis: 25%;
    opacity: 0.85;
    font-family: "SF-Pro-Text-Regular";
    font-size: 14px;
    color: #172b4d;
    text-align: left;
    line-height: 20px;
  }
  .form-field {
    flex-basis: 75%;
    .dual-fields {
      @include flexbox();
      @include align-items(baseline);
      pi-form-field {
        margin-top: 0px;
        width: 100%;
      }
    }
  }
}
// common heading in contacts
h6 {
  font-family: "SF-Pro-Text-Medium";
  font-size: 14px;
  color: #172b4d;
  text-align: left;
  margin-bottom: 15px;
}
///////

// change client css

.clients-card-holder {
  padding: 15px 20px !important;
  height: 400px;
  .content-section {
    @include flexbox();
    @include justify-content(start);
    @include flex-wrap(wrap);
    width: 100%;
    height: 100%;
    .clients-section {
      @include flexbox();
      @include flex-direction(column);
      @include justify-content(center);
      flex: 0 0 292px;
      max-height: 152px;
      margin: 15px 12px;
      padding: 20px;
      opacity: 0.92;
      background: #ffffff;
      border: 1px solid #dee2e8;
      box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.1);
      border-radius: 4px;
      .cleints-display {
        .brand-accounts {
          display: flex;
          margin-bottom: 4px;
          .brand-account-logos {
            height: 30px;
            width: 100%;
            background-size: contain;
            background-position: left center;
            background-repeat: no-repeat;
          }
          .pixel-icons {
            color: #42526e;
            opacity: 0.44;
            font-size: 20px;
          }
        }
        .brand-account-name {
          color: #243c57;
          font-family: SF-Pro-Text-Medium, Sans-Serif;
          height: 40px;
          display: flex;
          align-items: center;
        }
      }
      &:hover {
        background: #f3f8fc !important;
        cursor: pointer;
      }
    }
  }
}
.customized-select {
  margin-bottom: 20px;
  &.with-border {
    background: #f3f8ff;
    border: 1px solid #dee1e7;
    padding: 8px;
  }
  span {
    font-family: "SF-Pro-Text-Medium";
    color: #0052cc;
    font-size: 14px;
    cursor: pointer;
  }

  // pi-select {
  //   .pi-field {
  //     .pi-select-input {
  //       background: #f3f8ff;
  //       .selected-list,
  //       .placeholder {
  //         color: #0052cc;
  //         letter-spacing: -0.12px;
  //         text-align: left;
  //         .pi-select-search-input {
  //           cursor: pointer;
  //         }
  //       }
  //     }
  //   }
  // }

  // pi-select {
  //   .pi-field {
  //     .pi-select-input {
  //       background: transparent;
  //       border: none;
  //       padding: 8px 0 8px 0;
  //       &.active {
  //         box-shadow: none;
  //         border: none;
  //       }
  //       &:focus {
  //         border-color: transparent;
  //         box-shadow: none;
  //       }
  //       pi-icon {
  //         display: none;
  //       }
  //       .selected-list {
  //         .pi-select-search-input {
  //           cursor: pointer;
  //         }
  //       }
  //     }
  //   }
  // }
}

.contact-menu-dropdown {
  .mat-menu-content:not(:empty) {
    padding: 0px;
    p {
      margin: 0px;
      padding: 10px 15px;
      border-bottom: 1px solid #efefef;
      font-size: 14px;
      cursor: pointer;
    }
  }
}
.or-divider {
  margin-top: 1rem;
  position: relative;
  text-align: center;
  z-index: 1;
  span {
    display: inline-block;
    width: 40px;
    background-color: #fff;
    color: #9ca7b7;
    font-size: 14px;
    &:after {
      content: "";
      position: absolute;
      border-bottom: 1px solid #dfe1e5;
      left: 0;
      right: 0;
      top: 0;
      bottom: 11px;
      z-index: -1;
    }
  }
}
.add-address {
  margin-top: 10px;
  span {
    font-family: "SF-Pro-Text-Medium";
    color: #0052cc;
    font-size: 14px;
    cursor: pointer;
  }
}
